- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/list#body.ListCaseAlertsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts/list#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseAlerts.list

Lists CaseAlerts within a specific Case. Use this method to retrieve a paginated list of alerts associated with a case. Supports filtering by status, priority, and other alert attributes.

### HTTP request

`GET https://{endpoint}/v1/{parent}/caseAlerts`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list CaseAlerts for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of CaseAlerts to return. The service may return fewer than this value. If unspecified, at most 50 CaseAlerts will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `caseAlerts.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `caseAlerts.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of CaseAlerts. Supported filter fields: \* `displayName`: Filter by the display name. \* `caseId`: Filter by the case id. \* `identifier`: Filter by the identifier. \* `sourceGroupingIdentifier`: Filter by the source grouping id. \* `product`: Filter by the product. \* `vendor`: Filter by the vendor. \* `environment`: Filter by the environment. \* `ticketId`: Filter by the ticket id. \* `sourceSystemName`: Filter by the source system name. \* `creation_method`: Filter by the creation method. \* `priority`: Filter by the priority. \* `status`: Filter by the status. \* `startTime`: Filter by the start time. \* `endTime`: Filter by the end time. \* `additionalProperties`: Filter by the additional properties. \* `involvedRelations`: Filter by the involved relations. Example: `filter="displayName='some_name'"` |
| `orderBy` | `string` Optional. Configures ordering of CaseAlerts in the response. If not specified, CaseAlerts are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `displayName`: Sort by the display name. \* `caseId`: Sort by the case id. \* `identifier`: Sort by the identifier. \* `source_grouping_id`: Sort by the source grouping id. \* `product`: Sort by the product. \* `vendor`: Sort by the vendor. \* `environment`: Sort by the environment. \* `ticketId`: Sort by the ticket id. \* `sourceSystemName`: Sort by the source system name. \* `creation_method`: Sort by the creation method. \* `priority`: Sort by the priority. \* `status`: Sort by the status. \* `startTime`: Sort by the start time. \* `endTime`: Sort by the end time. \* `additionalProperties`: Sort by the additional properties. example: "displayName desc, default" |
| `expand` | `string` Optional. Expand the response to include the full alert object. Supported values: \* `sla` \* `involvedRelations` example: "sla, involvedRelations" |
| `distinctBy` | `string` Optional. fields to distinct results. example: ?distinctBy=caseId |

### Request body

The request body must be empty.

### Response body

Response message for caseAlerts.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "caseAlerts": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts#CaseAlert`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `caseAlerts[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts#CaseAlert`)`` The list of CaseAlerts. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` The total number of results matching the request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.caseAlerts.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).